EDIT - bug #7692

Empty "Specimens" section
08/27/2018 05:08 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Walter Berendsohn % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version:

Severity: major Found in Version:

Description

In some cases the tabless taxon page shows an empty "Specimens" section.

Example: http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/fb987766-3ea5-45e0-a606-ca9b9d1253cf

Related issues:
Related to EDIT - bug #7686: Specimen title cache issues in data portal speci...

Related to EDIT - feature request #7704: Dataportal specimen table should be ...

Closed
Closed

Associated revisions

Revision 02f3768c - 08/28/2018 03:33 PM - Andreas Kohlbecker

ref #7692 avoiding php warning related to specimen table

History

#1 - 08/28/2018 03:08 PM - Andreas Kohlbecker

- Status changed from New to In Progress

The web service returns one specimen for this taxon:

http://api.cybertaxonomy.org/caryo_nepenthaceae/occurrence/byAssociatedTaxon.json?relationshipsinvers=&relationships=&taxonUuid=fb987766-3

eab-45e0-a606-ca9b9d1253cf

{

"prevIndex": null,
"records": [

{

"data": [ 1,

"individualCount": "",

"recordBasis": "PreservedSpecimen",

"yuid": "8793b96f-8265-47f4-82a5-9e5e636cd8E3",
"identityCache": "",

"preferredStableUri": "",

"catalogNumber": "",

"barcode": "",

"collectorsNumber": "",

"created": "2018-06-02T09:15:00.000+02:00",
"mostSignificantIdentifier": "",
"originalLabelInfo": "",

"titleCache":

"Philippines, Luzon, Prov. Ilocos Norte, Burgos, male fl1 . 23 - 25 Nov
, K, isoneotypes: BO n.v., SING n.v.).",

]I

}

"protectedTitleCache": true,

"updated": "2018-06-02T19:18:15.000+02:00",
"exsiccatum": "",

"protectedIdentityCache": false,
"accessionNumber": "",

"1lsid": null,

"class": "DerivedUnit",

"publish": true

"suggestion": "",
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/fb987766-3ea5-45e0-a606-ca9b9d1253cf
http://api.cybertaxonomy.org/caryo_nepenthaceae/occurrence/byAssociatedTaxon.json?relationshipsInvers=&relationships=&taxonUuid=fb987766-3ea5-45e0-a606-ca9b9d1253cf
http://api.cybertaxonomy.org/caryo_nepenthaceae/occurrence/byAssociatedTaxon.json?relationshipsInvers=&relationships=&taxonUuid=fb987766-3ea5-45e0-a606-ca9b9d1253cf

"count": 1,
"lastRecord": 1,
"pageSize": 30,
"nextIndex": null,
"currentIndex": O,
"indices": [

0

1,

"pagesAvailable": 1,
"firstRecord": 1,

"class": "DefaultPagerImpl"

}

it is not shown in the portal, though.

#2 - 08/28/2018 03:48 PM - Andreas Kohlbecker
- % Done changed from 0 to 10

The actual problem is that the webservice portal/taxon/fb987766-3ea5-45e0-a606-ca9b9d1253cf/associatedFieldUnits.json?&pageSize=50 is not
returning a fieldunit.

#3 - 08/28/2018 04:00 PM - Andreas Kohlbecker

- File picture816-1.png added

- File picture816-2.png added

- Status changed from In Progress to Worksforme

- Assignee changed from Andreas Kohlbecker to Walter Berendsohn

- % Done changed from 10 to 100

This is not a bug in the webservice. The Specimen in question actually has no FieldUnit.

So this is primarily a data problem and also a problem with the compressed derived unit table, which can only display specimens which have a
FieldUnit.

When the default specimen display is being used the Specimen-section is no longer empty:

Specimens

Meotype: Philippines, Luzon, Prov. llocos Norte, Burgos, male fl . 23 - 25 Nov 1916 Fenix BS 26726
{neotype: US, photo, K, isoneotypes: BO n.v., SING n.v. ).

Neotype: Philippines, Luzon, Prov. llocos Norte, Burgos, male fl . 232 - 25 Nov 1916 Fenix BS
26726 (neotype: US, photo, K, isoneotypes: BO n.v., 5ING n.v.).

Record basis: PreservedSpecimen
Uuid: 8793b96f-8265-47f4-82a5-0e5e636cdBf3
Specimen type designations:
Meotype (designated by Cheek, M.R. & Jebb, M.H.P. 2013%)

1. Cheek, M.R. & |Jebb, M.H.P, Typification and redelimitation of Nepenthes alata with notes on the N. alata group. and N.

negros sp. now. from the Philippines in Nordic Journal of Botany 31: 616-622. 2013%

Adding an empty FieldUnit can help to solve the problem of the empty section to some degree. But the result is not very appealing:

Specimens

Country | Date Collector + collecting number Herbaria | Type | Scan | Derivatives
-

#4 - 08/29/2018 03:32 PM - Andreas Miiller

- Related to bug #7686: Specimen title cache issues in data portal specimen table added

#5 - 08/30/2018 08:04 AM - Patrick Plitzner
- Related to feature request #7704: Dataportal specimen table should be able to show DerivedUnits without a FieldUnit added

#6 - 09/06/2018 01:37 PM - Andreas Miiller
- Target version deleted (Release 5.3)
